package commands;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import business.Mensalidade;
import dao.FacadeDAO;

public class MensalidadeConsultar extends AbstractCommand {

	public void processarComando(HttpServletRequest request,
			HttpServletResponse response, HttpServlet servlet) {

		int id_aluno = Integer.parseInt(request.getParameter("id_aluno"));

		ArrayList<Mensalidade> mensalidades = FacadeDAO.getInstance(servlet)
				.getMensalidadeDAO().listarMensalidades(id_aluno);

		request.setAttribute("lista_mensalidades", mensalidades);

		RequestDispatcher rd = request
				.getRequestDispatcher("consultaMensalidade.jsp");
		try {
			rd.forward(request, response);
		} catch (ServletException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
